Bug 314309 - Krita crash on selecting selecting an area of an image
Summary: Krita crash on selecting selecting an area of an image
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 20:33 UTC by wintonian
Modified: 2013-03-10 13:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wintonian 2013-02-02 20:33:24 UTC
Application: krita (2.6 RC2)
KDE Platform Version: 4.9.98
Qt Version: 4.8.3
Operating System: Linux 3.5.0-22-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:

I selected a retangular area of a JPEG I had justed created by using my scanner.

-- Backtrace:
Application: Krita (krita), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fa9b04e2780 (LWP 4510))]

Thread 5 (Thread 0x7fa991891700 (LWP 4511)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa9ad97004b in wait (time=18446744073709551615, this=0xfba750) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xfba700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa9ad96bf67 in QSemaphore::acquire (this=0xfba450, n=1) at thread/qsemaphore.cpp:144
#4  0x00007fa9998c3b8e in KisTileDataPooler::waitForWork (this=this@entry=0xfba440) at /build/buildd/calligra-2.5.93/krita/image/tiles3/kis_tile_data_pooler.cc:162
#5  0x00007fa9998c42db in KisTileDataPooler::run (this=0xfba440) at /build/buildd/calligra-2.5.93/krita/image/tiles3/kis_tile_data_pooler.cc:184
#6  0x00007fa9ad96faec in QThreadPrivate::start (arg=0xfba440) at thread/qthread_unix.cpp:338
#7  0x00007fa9a8aa4e9a in start_thread (arg=0x7fa991891700) at pthread_create.c:308
#8  0x00007fa9afa3dccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa991090700 (LWP 4512)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa9ad97004b in wait (time=18446744073709551615, this=0xfb2650) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xfb2600, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa9ad96c338 in QSemaphore::tryAcquire (this=0xfba7c0, n=1, timeout=<optimized out>) at thread/qsemaphore.cpp:221
#4  0x00007fa9998e197a in KisTileDataSwapper::run (this=0xfba478) at /build/buildd/calligra-2.5.93/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007fa9ad96faec in QThreadPrivate::start (arg=0xfba478) at thread/qthread_unix.cpp:338
#6  0x00007fa9a8aa4e9a in start_thread (arg=0x7fa991090700) at pthread_create.c:308
#7  0x00007fa9afa3dccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa982d53700 (LWP 4525)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa9ad97004b in wait (time=18446744073709551615, this=0x504ba00) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x504b580, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa9ae93df16 in QFileInfoGatherer::run (this=0x504b570) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fa9ad96faec in QThreadPrivate::start (arg=0x504b570) at thread/qthread_unix.cpp:338
#5  0x00007fa9a8aa4e9a in start_thread (arg=0x7fa982d53700) at pthread_create.c:308
#6  0x00007fa9afa3dccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa98bfff700 (LWP 4526)):
#0  0x00007fa9afa37033 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa9ada98023 in qt_safe_select (nfds=22, fdread=0x7fa97c000a78, fdwrite=0x7fa97c000d10, fdexcept=0x7fa97c000fa8, orig_timeout=0x0) at kernel/qcore_unix.cpp:83
#2  0x00007fa9ada9c9e4 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fa97c0008c0, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:223
#3  0x00007fa9ada9d572 in QEventDispatcherUNIX::processEvents (this=0x7fa97c087860, flags=...) at kernel/qeventdispatcher_unix.cpp:926
#4  0x00007fa9ada6b2bf in QEventLoop::processEvents (this=this@entry=0x7fa98bffedc0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa9ada6b548 in QEventLoop::exec (this=0x7fa98bffedc0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fa9ad96cb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fa9ada4d478 in QDnotifySignalThread::run (this=0x504bea0) at io/qfilesystemwatcher_dnotify.cpp:179
#8  0x00007fa9ad96faec in QThreadPrivate::start (arg=0x504bea0) at thread/qthread_unix.cpp:338
#9  0x00007fa9a8aa4e9a in start_thread (arg=0x7fa98bfff700) at pthread_create.c:308
#10 0x00007fa9afa3dccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa9b04e2780 (LWP 4510)):
[KCrash Handler]
#6  KisBaseNode::check (this=0x0, properties=...) at /build/buildd/calligra-2.5.93/krita/image/kis_base_node.cpp:173
#7  0x00007fa99997222f in KisNode::childNodes (this=0x1266060, nodeTypes=..., properties=...) at /build/buildd/calligra-2.5.93/krita/image/kis_node.cpp:236
#8  0x00007fa999965694 in KisLayer::selectionMask (this=0x1266060) at /build/buildd/calligra-2.5.93/krita/image/kis_layer.cc:271
#9  0x00007fa99995584c in KisImage::globalSelection (this=<optimized out>) at /build/buildd/calligra-2.5.93/krita/image/kis_image.cc:205
#10 0x00007fa99996333c in KisLayer::selection (this=<optimized out>) at /build/buildd/calligra-2.5.93/krita/image/kis_layer.cc:288
#11 0x00007fa999d8d822 in KisCanvas2::shapeManager (this=0x52d63e0) at /build/buildd/calligra-2.5.93/krita/ui/canvas/kis_canvas2.cpp:240
#12 0x00007fa999dbbea3 in KisNodeShape::editabilityChanged (this=0x3fda800) at /build/buildd/calligra-2.5.93/krita/ui/flake/kis_node_shape.cpp:104
#13 0x00007fa9ada81f5f in QMetaObject::activate (sender=0x149f790, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff901ac8a0) at kernel/qobject.cpp:3547
#14 0x00007fa99991ab72 in KisBaseNode::systemLockingChanged (this=this@entry=0x149f790, _t1=false) at /build/buildd/calligra-2.5.93/obj-x86_64-linux-gnu/krita/image/kis_base_node.moc:120
#15 0x00007fa99991ac61 in setSystemLocked (locked=<optimized out>, this=0x149f790, update=<optimized out>) at /build/buildd/calligra-2.5.93/krita/image/kis_base_node.cpp:231
#16 KisBaseNode::setSystemLocked (this=0x149f790, locked=<optimized out>, update=<optimized out>) at /build/buildd/calligra-2.5.93/krita/image/kis_base_node.cpp:227
#17 0x00007fa98904271d in ~KisSystemLocker (this=<synthetic pointer>, __in_chrg=<optimized out>) at /build/buildd/calligra-2.5.93/krita/image/kis_system_locker.h:36
#18 KisToolSelectRectangular::finishRect (this=0x62049e0, rect=...) at /build/buildd/calligra-2.5.93/krita/plugins/tools/selectiontools/kis_tool_select_rectangular.cc:91
#19 0x00007fa999ee5c64 in mouseReleaseEvent (this=0x62049e0, event=<optimized out>) at /build/buildd/calligra-2.5.93/krita/ui/tool/kis_tool_rectangle_base.cpp:116
#20 KisToolRectangleBase::mouseReleaseEvent (this=0x62049e0, event=0x7fff901aca90) at /build/buildd/calligra-2.5.93/krita/ui/tool/kis_tool_rectangle_base.cpp:110
#21 0x00007fa9ab918540 in KoToolProxy::mouseReleaseEvent (this=0x52d7730, event=0x7fff901ad220, point=...) at /build/buildd/calligra-2.5.93/libs/flake/KoToolProxy.cpp:309
#22 0x00007fa999f1fa41 in KisToolInvocationAction::end (this=0x52d7cb0, event=0x7fff901ad220) at /build/buildd/calligra-2.5.93/krita/ui/input/kis_tool_invocation_action.cpp:92
#23 0x00007fa999f24415 in KisShortcutMatcher::tryEndRunningShortcut (this=this@entry=0x52d7b20, button=button@entry=Qt::LeftButton, event=0x7fff901ad220) at /build/buildd/calligra-2.5.93/krita/ui/input/kis_shortcut_matcher.cpp:301
#24 0x00007fa999f24d80 in KisShortcutMatcher::buttonReleased (this=0x52d7b20, button=Qt::LeftButton, event=<optimized out>) at /build/buildd/calligra-2.5.93/krita/ui/input/kis_shortcut_matcher.cpp:147
#25 0x00007fa999f1c97b in KisInputManager::eventFilter (this=0x52d7b80, object=<optimized out>, event=0x7fff901ad220) at /build/buildd/calligra-2.5.93/krita/ui/input/kis_input_manager.cpp:344
#26 0x00007fa9ada6c6d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x52dbb00, event=0x7fff901ad220) at kernel/qcoreapplication.cpp:1025
#27 0x00007fa9ae44de6c in QApplicationPrivate::notify_helper (this=this@entry=0x7a4ea0, receiver=receiver@entry=0x52dbb00, e=e@entry=0x7fff901ad220) at kernel/qapplication.cpp:4558
#28 0x00007fa9ae452b6b in QApplication::notify (this=<optimized out>, receiver=0x52dbb00, e=0x7fff901ad220) at kernel/qapplication.cpp:4105
#29 0x00007fa9af5e7af8 in KoApplication::notify (this=<optimized out>, receiver=0x52dbb00, event=0x7fff901ad220) at /build/buildd/calligra-2.5.93/libs/main/KoApplication.cpp:504
#30 0x00007fa9ada6c56e in QCoreApplication::notifyInternal (this=0x7fff901adcd0, receiver=0x52dbb00, event=0x7fff901ad220) at kernel/qcoreapplication.cpp:915
#31 0x00007fa9ae44ecd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QApplicationPrivate::sendMouseEvent (receiver=0x52dbb00, event=0x7fff901ad220, alienWidget=0x52dbb00, nativeWidget=0x1295b80, buttonDown=0x7fa9aef2a308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#33 0x00007fa9ae4cc554 in QETWidget::translateMouseEvent (this=this@entry=0x1295b80, event=event@entry=0x7fff901ad9b0) at kernel/qapplication_x11.cpp:4622
#34 0x00007fa9ae4cb44f in QApplication::x11ProcessEvent (this=0x7fff901adcd0, event=0x7fff901ad9b0) at kernel/qapplication_x11.cpp:3737
#35 0x00007fa9ae4f39d9 in QEventDispatcherX11::processEvents (this=0x71fe60, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#36 0x00007fa9ada6b2bf in QEventLoop::processEvents (this=this@entry=0x7fff901adc20, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007fa9ada6b548 in QEventLoop::exec (this=0x7fff901adc20, flags=...) at kernel/qeventloop.cpp:204
#38 0x00007fa9ada70708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#39 0x00007fa9afeed412 in kdemain (argc=<optimized out>, argv=<optimized out>) at /build/buildd/calligra-2.5.93/krita/main.cc:74
#40 0x00007fa9af96b76d in __libc_start_main (main=0x400690 <main(int, char**)>, argc=2, ubp_av=0x7fff901adde8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff901addd8) at libc-start.c:226
#41 0x00000000004006c1 in _start ()

Possible duplicates by query: bug 310554.

Reported using DrKonqi
Comment 1 Sven Langkamp 2013-02-02 20:49:52 UTC
Can you reproduce the bug or give some details what you did before it crashed?
Comment 2 wintonian 2013-02-02 21:46:10 UTC
Well it hasn't happened again.

I created the image by using the scanner which I then saved as a JPEG and opened up in Krita, where I clicked on the icon for the rectangular selection tool, I selected the desired area and Krita crashed.

I know that probably doesn't help much more but it's all I did so can't add anything else. Sorry.
Comment 3 Halla Rempt 2013-03-10 13:10:16 UTC
Git commit 72884cce4518dffd8553423d3939e75dd3d778cb by Boudewijn Rempt.
Committed on 10/03/2013 at 14:09.
Pushed by rempt into branch 'master'.

Check pointer before dereferencing

M  +14   -12   krita/image/kis_node.cpp

http://commits.kde.org/calligra/72884cce4518dffd8553423d3939e75dd3d778cb